Subject: Re: OT pondering (WAS: Re: Trailing Periods on File Names)
From: Mark Gordon <[email-masked]>
To: [email-masked]
Date: Thu, 05 Apr 2001 20:31:40 +0100

On Thu, 05 Apr 2001 14:02:55 -0500, you wrote:

>I agree with that, having seen this before, but I am curious... It seems that 
>such functionality did not get there by accident (I cannot think of a way to 
>ignore characters in a filename without some _extra_ coding), so it must have 
>been done for some purpose.  Yet I cannot for the life of me imagine what 
>benefit this produces, or what fault it would circumvent.  Anyone have ideas 
>as to this?

The reason is the way the original 8.3 file names are stored. As it
was stored as a fixed number of characters for the name and the
extension there was always an implicit dot which was _never_ stored in
the directory structure. To allow this to work file names and
extensions could not contain a dot except as the separator between the
file name and the extension.

Of course, there was extra code to pad files names out to 8 characters
and extensions to 3 characters...

I'm not saying the original directory structure was good, just what it
was. Of course for backwards compatibility (so that lusers work with
new versions of Windows) M$ have to continue to support these old
conventions.
-- 
Mark Gordon - To email me replace spamtrp with mark.gordon
	90% of being smart is knowing what you're dumb at.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple